<?php
/**
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1.2.1 $
 * $Author: tora60 $
 * $Date: 2011/10/20 22:53:30 $
 */

require_once('mainfile.php');

if (!mxGetAdminPref('radminsuper')) {
    die('access denied');
}

$pici = load_class('Userpic');

$available_avatars = $pici->get_available_avatars();

$qry = "SELECT DISTINCT user_avatar
        FROM `{$user_prefix}_users`
        WHERE user_avatar NOT LIKE '%/%'
        ORDER BY user_avatar";
$result = sql_system_query($qry);
while (list($ava) = sql_fetch_row($result)) {
    $used_avatars[$ava] = $ava;
}

$updates = array_intersect_key($available_avatars, $used_avatars);
$deletes = array_diff_key($used_avatars, $available_avatars);

if (isset($updates['blank.gif'])) {
    unset($updates['blank.gif']);
    $deletes['blank.gif'] = 'blank.gif';
}

$queries = array();

if ($updates) {
    $queries[] = "UPDATE `{$user_prefix}_users`
              SET user_avatar=concat('" . $pici->path_avatars . "/', user_avatar)
              WHERE user_avatar IN('" . implode("','", array_keys($updates)) . "')";
}

if ($deletes) {
    $queries[] = "UPDATE `{$user_prefix}_users`
              SET user_avatar=''
              WHERE user_avatar IN('" . implode("','", array_keys($deletes)) . "')";
}

$count = 0;
foreach ($queries as $qry) {
    sql_system_query($qry);
    $count += sql_affected_rows();
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
  <title>Avatare konvertieren!</title>
</head>

<body>

<h2>Es wurden <?php echo $count ?> Avatarangaben konvertiert.</h2>
<h3>aktualisiert:</h3>
<pre><?php print_r($updates) ?></pre>
<h3>gelscht:</h3>
<pre><?php print_r(array_values($deletes)) ?></pre>

</body>

</html>
